org.apache.myfaces.trinidad.event

## Class WindowLifecycleNavigateEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.myfaces.trinidad.event.WindowEvent
    - - org.apache.myfaces.trinidad.event.WindowLifecycleEvent
      - - org.apache.myfaces.trinidad.event.WindowLifecycleNavigateEvent

- All Implemented Interfaces:
    Serializable

      public final class WindowLifecycleNavigateEvent
      extends WindowLifecycleEvent

  WindowLifecycleEvent delivered when the current window is being unloaded in order to navigate to a new location
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.event.WindowLifecycleEvent

      `WindowLifecycleEvent.Cause`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowLifecycleNavigateEvent(Window source, String destination)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDestination()` Returns the URL to which the page is navigating.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.myfaces.trinidad.event.WindowLifecycleEvent

      `getCause, getNewLifecycleState, subclassEquals`

    - ### Methods inherited from class org.apache.myfaces.trinidad.event.WindowEvent

      `getSource, subclassEquals`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowLifecycleNavigateEvent

          public WindowLifecycleNavigateEvent(Window source,
                                      String destination)

  - ### Method Detail

    - #### getDestination

          public String getDestination()

      Returns the URL to which the page is navigating.

      The destination is not guaranteed to be normalized; it may be absolute, page-relative, or server-relative. It is also not guaranteed to be correct, as a browser may be redirected to an alternate destination.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `WindowLifecycleEvent`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `WindowLifecycleEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `WindowLifecycleEvent`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.